<?php
add_action( 'wp_enqueue_scripts', 'deep_enqueue_styles' );
function deep_enqueue_styles() {
	$parenthandle = 'parent-style';
	$theme        = wp_get_theme();
	
	wp_enqueue_style( 'my-style', get_stylesheet_directory_uri() . '/style.css', false, '1.0', 'all' );
	wp_enqueue_style( 'child-style',
		get_stylesheet_uri(),
		array( $parenthandle ),
		$theme->get( 'Version' )
	);
}

	
